whirlygig(6)

NAME
whirlygig -- zooming chains of sinusoidal spots

SYNOPSIS
whirlygig [-display host:display.screen] [-window] [-root] [-mono] [-install] [-noinstall] [-visual arg] [-window-id arg] [-xspeed arg] [-yspeed arg] [-whirlies arg] [-nlines arg] [-xmode arg] [-ymode arg] [-speed arg] [-trail 1|0] [-color_modifier arg] [-start_time arg] [-explain 1|0] [-wrap 1|0] [-db] [-no-db] [-fps]

DESCRIPTION
The whirlygig program draws a series of circles on your screen. They then move about in a cyclic pattern

OPTIONS
whirlygig accepts the following options:

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-xspeed speed
    Specify how fast the dots should cycle horizontally. Try out values from .01 to 4000. Defaults to 1.0.

-yspeed speed
    Specify how fast the dots should cycle vertically. Try out values from .01 to 4000. Defaults to 1.0.

-xamplitude factor
    Specify the horizontal amplitude. Try out values from .01 to 10. Defaults to 1.0.

-yamplitude factor
    Specify the horizontal amplitude. Try out values from .01 to 10. Defaults to 1.0.

-whirlies a number
    Specify how many whirlies you want (per line). Defaults to a random number.

-nlines number of lines
    Specify how many lines of whirlies you want. Defaults to a random number.

-xmode mode

-ymode mode
    Specify which mode to use for calculating the x and y positions of the whirlies. Can be any of spin, funky, circle, linear, test, fun, innie or lissajous. Defaults to 'change' mode, which randomly selects a new mode for x and y every now an then. Unrecognized options default to spin.

-explain
    Prints some strings to the window explaining what the initially selected modes are, before displaying the whirlies. Off by default.

-trail 1 or 0
    Trail mode fails to erase the whirlies as they move, so they leave a multicoloured trail behind. Doesn't work if the doubled buffered mode is using the X server's double buffer extension, and the useDBEclear resource is true (which it is by default).

-speed int
    Specifies how fast to cycle through the internal time. Values 1,2 and 3 look ok, up to 10 is not too bad, but beyond ends up flickery. Adjust xspeed and yspeed instead.

-start_time int
    Where in the internal time cycle to start. Ranges from 1 to 429496729, Defaults to a random value.

-xoffset factor
    Tell the whirlies to be offset by this factor of a sin. Defaults to 1.0

-yoffset factor
    Tell the whirlies to be offset by this factor of a cos. Defaults to 1.0

-offset_period factor
    Change the period of an offset cycle Defaults to 1

-color_modifier int
    How many colors away from the current should the next whirly be?

-wrap 1|0
    Causes whirlies that fall off the edge of the screen to wrap over to the other end of the screen. Otherwise they disappear and new ones to materialize on the other side of the screen. The difference is subtle, but it is different. Try it. On by default.

-db

-no-db
    Use double buffering to reduce flicker. This uses the double buffering extension if your X server supports it, otherwise it draws to it's own pixmap buffer and copies that to the window, which works almost as well. If the resource 'useDBEClear' is true, whirlies are not individually erased, so the -trail option won't work, and running multiple instances on the root window will flicker.

-fps
    Display the current frame rate and CPU load.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2001 by Ashton Trey Belew. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Ashton Trey Belew <trey@veggie.wesleyan.edu>, 31-Mar-01